Description

There are serveral fields in Vegbank that have a rules for what constitutes
valid data. For example, picklists of valid entries for a data field ( bug 791
).<br/>

This will be implimented as a validation layer that checks inputs before going
to the database. Upon failure the user will returned a report of the problem.<br/>

This bug addresses parts of <a href="/show_bug.cgi?id="791">bug 791</a>, <a
href="/show_bug.cgi?id="729">bug 729</a>,<a href="/show_bug.cgi?id="725">bug
725</a> and <a href="/show_bug.cgi?id="741">bug 741</a>.<br/>

History

#1 - 01/08/2003 01:20 PM - John Harris

It has been decided that this validation layer must be implemented before the
1.0.0 release, so that inconsistent data are not loaded to the system.

#2 - 01/10/2003 03:45 PM - John Harris

This works on the test system -- still need a modified constraints list and a
constraints map.

#3 - 01/31/2005 02:54 PM - Michael Lee
changed from components that are to be deleted to "misc" so that bugs don't get

deleted with component. Sorry for all the email.

#4 - 03/27/2013 02:15 PM - Redmine Admin
Original Bugzilla ID was 928
